> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coingecko.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Derivatives Exchanges List with Data

> This endpoint allows you to **query all the derivatives exchanges with related data (ID, name, open interest, ...) on CoinGecko**

<Tip>
  ### Tips

  * You may include values such as `per_page` and `page` to specify how many results you would like to show in the responses per page and which page of responses you would like to show.
</Tip>

<Note>
  ### Note

  * Cache / Update Frequency: every 60 seconds for all the API plans.
</Note>


## OpenAPI

````yaml api-reference/coingecko-pro.json get /derivatives/exchanges
openapi: 3.0.0
info:
  title: CoinGecko Pro API
  version: 3.0.0
servers:
  - url: https://pro-api.coingecko.com/api/v3
security:
  - apiKeyAuth: []
  - apiKeyQueryParam: []
paths:
  /derivatives/exchanges:
    get:
      tags:
        - Derivatives
      summary: Derivatives Exchanges List with Data
      description: >-
        This endpoint allows you to **query all the derivatives exchanges with
        related data (ID, name, open interest, ...) on CoinGecko**
      operationId: derivatives-exchanges
      parameters:
        - name: order
          in: query
          description: >-
            use this to sort the order of responses, default:
            open_interest_btc_desc
          required: false
          schema:
            type: string
            enum:
              - name_asc
              - name_desc
              - open_interest_btc_asc
              - open_interest_btc_desc
              - trade_volume_24h_btc_asc
              - trade_volume_24h_btc_desc
        - name: per_page
          in: query
          description: total results per page
          required: false
          schema:
            type: number
        - name: page
          in: query
          description: 'page through results, default: 1'
          required: false
          schema:
            type: number
      responses:
        '200':
          description: List all derivative exchanges
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DerivativesExchanges'
components:
  schemas:
    DerivativesExchanges:
      type: object
      properties:
        name:
          type: string
          description: derivatives exchange name
        id:
          type: string
          description: derivatives exchange ID
        open_interest_btc:
          type: number
          description: derivatives exchange open interest in BTC
        trade_volume_24h_btc:
          type: string
          description: derivatives exchange trade volume in BTC in 24 hours
        number_of_perpetual_pairs:
          type: number
          description: number of perpetual pairs in the derivatives exchange
        number_of_futures_pairs:
          type: number
          description: number of futures pairs in the derivatives exchange
        image:
          type: string
          description: derivatives exchange image url
        year_established:
          type: number
          description: derivatives exchange established year
          nullable: true
        country:
          type: string
          description: derivatives exchange incorporated country
          nullable: true
        description:
          type: string
          description: derivatives exchange description
        url:
          type: string
          description: derivatives exchange website url
      example:
        - name: Binance (Futures)
          id: binance_futures
          open_interest_btc: 279958.61
          trade_volume_24h_btc: '574366.94'
          number_of_perpetual_pairs: 330
          number_of_futures_pairs: 44
          image: >-
            https://assets.coingecko.com/markets/images/466/small/binance_futures.jpg?1706864452
          year_established: 2019
          country: null
          description: ''
          url: https://www.binance.com/
        - name: Bitget Futures
          id: bitget_futures
          open_interest_btc: 123267.93
          trade_volume_24h_btc: '228027.47'
          number_of_perpetual_pairs: 254
          number_of_futures_pairs: 0
          image: >-
            https://assets.coingecko.com/markets/images/591/small/2023-07-25_21.47.43.jpg?1706864543
          year_established: null
          country: null
          description: ''
          url: https://www.bitget.com/en/
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-cg-pro-api-key
    apiKeyQueryParam:
      type: apiKey
      in: query
      name: x_cg_pro_api_key

````